#!/bin/bash

prog=${0##*/}
USAGE="Usage:  $prog fromfile todir"

if (( $# < 2 )); then
    echo "Not enough parameters." >&2
    echo "$USAGE" >&2
    exit 1
fi

if [[ ! -r "$1" ]]; then
    echo "No read permission for first parameter." >&2
    echo "$USAGE" >&2
    exit 2
fi

if [[ ! -d "$2" ]]; then
    echo "Second parameter must be a directory." >&2
    echo "$USAGE" >&2
    exit 3
fi
cp "$1" "$2"
