#!/bin/bash

prog=${0##*/}
USAGE="Usage: $prog radius"

# This syntax is from the Bourne shell; bugs emulated
bsh_func() {
    # This function calculates the area of a circle.
    # The result is printed to stdout so that the calling
    # shell can use command substitution to retrieve it.
    echo -e "scale=4; 3.1415 * $1 * $1" | bc
}

# This is the new Bash/Korn shell syntax.
function new_func {
    echo -e "scale=4; 3.1415 * $1 * $1" | bc
}

if (( $# < 1 )); then
    echo "$USAGE" >&2
    exit 1
fi

bsh_func "$1"	# Prints the result on stdout
new_func "$1"
